Module jdk.compiler
Package com.sun.source.tree

# Interface SwitchTree

All Superinterfaces:
  `StatementTree`, `Tree`

public interface SwitchTree extends StatementTree
A tree node for a `switch` statement. For example:

       switch ( expression ) {
         cases
       }

See Java Language Specification:
  14.11 The switch Statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends CaseTree>`
`getCases()`
Returns the cases for the `switch` statement.
`ExpressionTree`
`getExpression()`
Returns the expression for the `switch` statement.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression for the `switch` statement.

Returns:
  the expression

### getCases

List<? extends CaseTree> getCases()
Returns the cases for the `switch` statement.

Returns:
  the cases